---
search:
  tags:
    - Organisations
    - GET
seo:
  description: >-
    List all organisations for the current user. Reference for the GET
    /api/v1/{app_id}/organisations endpoint in the Customers API.
sidebar:
  label: List organisations
  badge: GET
title: List organisations
type: openapi-operation
---
List all organisations for the current user

`GET /api/v1/{app_id}/organisations`

**Responses**

- `200` — OK
- `400` — Invalid request
- `500` — Internal server error

Response example, 200:

```json
{
  "companies": [
    {
      "app_id": "string",
      "attributes": [
        {
          "description": "string",
          "id": "string",
          "key": "string",
          "name": "string",
          "template_key": "string",
          "translations": {
            "description": {
              "property1": "string",
              "property2": "string"
            },
            "name": {
              "property1": "string",
              "property2": "string"
            }
          },
          "values": {
            "property1": [
              {
                "translations": {
                  "value": {
                    "property1": "string",
                    "property2": "string"
                  }
                },
                "type": "string",
                "value": "string"
              }
            ],
            "property2": [
              {
                "translations": {
                  "value": {
                    "property1": "string",
                    "property2": "string"
                  }
                },
                "type": "string",
                "value": "string"
              }
            ]
          }
        }
      ],
      "billing_address": [
        {
          "city": "string",
          "co_address": "string",
          "company_id": "string",
          "company_name": "string",
          "country": "string",
          "created_at": "string",
          "house_number": "string",
          "id": "string",
          "is_default": true,
          "name": "string",
          "phone": "string",
          "postal_code": "string",
          "shipping_type": "string",
          "state_province": "string",
          "street_address": "string",
          "updated_at": "string"
        }
      ],
      "comment": "string",
      "contact_name": "string",
      "created_at": "string",
      "credit_check": true,
      "custom_fields": {
        "property1": "string",
        "property2": "string"
      },
      "custom_role_id": "string",
      "customer_groups": [
        {
          "id": "string",
          "name": "string",
          "slug": "string"
        }
      ],
      "email": "string",
      "external_ref": "string",
      "files": [
        {
          "app_id": "string",
          "content_type": "string",
          "created_at": "string",
          "custom_fields": {
            "property1": null,
            "property2": null
          },
          "filename": "string",
          "id": "string",
          "updated_at": "string",
          "url": "string"
        }
      ],
      "id": "string",
      "invoice_email": "string",
      "level": "string",
      "name": "string",
      "organisation_number": "string",
      "parent_id": "string",
      "phone": "string",
      "role": "string",
      "role_name": "string",
      "shipping_address": [
        {
          "city": "string",
          "co_address": "string",
          "company_id": "string",
          "company_name": "string",
          "country": "string",
          "created_at": "string",
          "house_number": "string",
          "id": "string",
          "is_default": true,
          "name": "string",
          "phone": "string",
          "postal_code": "string",
          "shipping_type": "string",
          "state_province": "string",
          "street_address": "string",
          "updated_at": "string"
        }
      ],
      "status": "string",
      "store_groups": [
        {
          "country_of_sale": "string",
          "created_at": "string",
          "description": "string",
          "id": "string",
          "name": "string",
          "slug": "string",
          "store_type": "string",
          "updated_at": "string"
        }
      ],
      "tags": [
        {
          "app_id": "string",
          "id": "string",
          "key": "string",
          "name": "string"
        }
      ],
      "tax_id_vat_number": "string",
      "updated_at": "string"
    }
  ],
  "page": 0,
  "total": 0,
  "total_pages": 0
}
```
